GTXclient C++ API GTXserver-16.0.2

- Main Page
- Related Pages
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
GTXFileInfo Class Reference

Class for handling Information on a file. More...

`#include <GTXFileInfo.hpp>`

## Public Types
enum | FileType { FILE_TYPE_ANY = -1, FILE_TYPE_POINTS, FILE_TYPE_GRAVITY_LINES, FILE_TYPE_CORE_LINES, FILE_TYPE_GRID, FILE_TYPE_INVALID }

## Public Member Functions
| GTXFileInfo ()
| empty contructor
| GTXFileInfo (const GTXFileInfo &in_finfo)
| copy contructor
FileType | GetFileType ()
| Get file type.
const char * | GetLinkedFileName ()
| Get the name of the linked file (or empty if non-applicable)
bool | GetFaultedFlag ()
| Get the faulting status of the file (true if faulted)
bool | GetPolygonFlag ()
| Check is this file is a polygon file (true if it is (can only be true for a Points file)).
int | GetDimension ()
| Get the Dimenstion of the file (2 for a 2D file, 3 for a 3D one)
gtx_long | GetSampleNumber ()
| Get the number of samples in this file.
int | GetItemNumber ()
| Get the number of lines in this file (if the files is a Lines file)
double | GetGridX0 ()
| Get the X coordinate of the origin of the grid (if a Grid file)
double | GetGridY0 ()
| Get the Y coordinate of the origin of the grid (if a Grid file)
double | GetGridZ0 ()
| Get the Z coordinate of the origin of the grid (if a Grid file)
double | GetGridDX ()
| get the X mesh dimensions (if a Grid file)
double | GetGridDY ()
| get the Y mesh dimensions (if a Grid file)
double | GetGridDZ ()
| get the Z mesh dimensions (if a Grid file)
int | GetGridNX ()
| Get the number of grid nodes along X (if a Grid file)
int | GetGridNY ()
| Get the number of grid nodes along Y (if a Grid file)
int | GetGridNZ ()
| Get the number of grid nodes along Z (if a Grid file)
bool | GetGridRotatedFlag ()
| Indicate whetever the grid is rotated or not (true if rotated)
double | GetGridAngleAroundZ ()
| Get the Grid rotation angle around OZ (for a 2D or 3D Rotated Grid file)
double | GetGridAngleAroundY ()
| Get the Grid rotation angle around OY (for a 3D Rotated Grid file)
double | GetGridAngleAroundX ()
| Get the Grid rotation angle around OX (for a 3D Rotated Grid file)
const char * | GetSampleNumberVariableName ()
| Get the Sample Number variable name */.
const char * | GetLineNameVariableName ()
| Get the Line Name variable name (if a Points file linked to a Lines file)
const char * | GetLineNumberVariableName ()
| Get the Line Number variable name (if a Lines file)
const char * | GetRelativeNumberVariableName ()
| Get the Relative Number variable name (if a Lines file)
const char * | GetXCoordinateVariableName ()
| Get the X Gravity Center variable name (if a Lines file)
const char * | GetYCoordinateVariableName ()
| Get the Y Gravity Center variable name (if a Lines file)
const char * | GetZCoordinateVariableName ()
| Get the Z Gravity Center variable name (if a Lines file)
const char * | GetXCoreBeginVariableName ()
| Get the X Core Begin variable name (if a Lines file)
const char * | GetYCoreBeginVariableName ()
| Get the Y Core Begin variable name (if a Lines file)
const char * | GetZCoreBeginVariableName ()
| Get the Z Core Begin variable name (if a Lines file)
const char * | GetXCoreEndVariableName ()
| Get the X Core Begin variable name (if a Lines file)
const char * | GetYCoreEndVariableName ()
| Get the Y Core End variable name (if a Lines file)
const char * | GetZCoreEndVariableName ()
| Get the Z Core End variable name (if a Lines file)
GTXFaultInfo | GetFaultInfo ()
| Get the Fault Information (if the file is faulted)

## Friends
class | GTXClient

## Detailed Description

Class for handling Information on a file.

Examples:
  write_files.cpp.

## Member Enumeration Documentation

enum GTXFileInfo::FileType

Define the different types of file that can be read from or written to the Isatis file system.

Enumerator
FILE_TYPE_ANY | Any kind of file (used only for queries)
FILE_TYPE_POINTS | Points
FILE_TYPE_GRAVITY_LINES | Lines
FILE_TYPE_CORE_LINES | Lines
FILE_TYPE_GRID | Grid
FILE_TYPE_INVALID | Invalid type

The documentation for this class was generated from the following files:

- include/GTXFileInfo.hpp
- src/gtxclient/GTXFileInfo.cpp